Package net.sourceforge.jiu.ops

# Class OperationFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sourceforge.jiu.ops.OperationFailedException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InvalidFileStructureException`, `InvalidImageIndexException`, `MissingParameterException`, `UnsupportedCodecModeException`, `UnsupportedTypeException`, `WrongFileFormatException`, `WrongParameterException`

public class OperationFailedException extends Exception
Exception class to indicate that an operation failed during the execution of the method `Operation.process()`. Note that a failure due to missing or wrong parameters must lead to the dedicated exception classes `WrongParameterException` or `MissingParameterException` being thrown.

Since:
  0.7.0
Author:
  Marco Schmidt
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OperationFailedException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OperationFailedException

public OperationFailedException(String message)